package com.bocloud.ims.interfaces.h3c;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.Snapshot;

public interface H3cSnapshotService {

	BocloudResult<String> create(Snapshot snapshot, RequestContext context);

	BocloudResult<String> remove(Long id, RequestContext context);

	BocloudResult<String> revert(Long id, RequestContext context);

}
